__gnu_cxx::array_allocator_base< _Tp >(3cxx)

NAME
__gnu_cxx::array_allocator_base< _Tp > - Base class.

SYNOPSIS

#include <array_allocator.h>

Inherited by __gnu_cxx::array_allocator< _Tp, _Array >.

  Public Types

typedef const _Tp * const_pointer
typedef const _Tp & const_reference
typedef ptrdiff_t difference_type
typedef _Tp * pointer
typedef _Tp & reference
typedef size_t size_type
typedef _Tp value_type

  Public Member Functions

const_pointer address (const_reference __x) const noexcept
pointer address (reference __x) const noexcept
template<typename _Up , typename... _Args> void construct (_Up *__p, _Args &&... __args)
void deallocate (pointer, size_type)
template<typename _Up > void destroy (_Up *__p)
size_type max_size () const noexcept

Detailed Description

  template<typename _Tp>
class __gnu_cxx::array_allocator_base< _Tp >"Base class.

Definition at line 54 of file array_allocator.h.

Member Typedef Documentation

  template<typename _Tp > typedef const _Tp* __gnu_cxx::array_allocator_base< _Tp >::const_pointer

Definition at line 60 of file array_allocator.h.

  template<typename _Tp > typedef const _Tp& __gnu_cxx::array_allocator_base< _Tp >::const_reference

Definition at line 62 of file array_allocator.h.

  template<typename _Tp > typedef ptrdiff_t __gnu_cxx::array_allocator_base< _Tp >::difference_type

Definition at line 58 of file array_allocator.h.

  template<typename _Tp > typedef _Tp* __gnu_cxx::array_allocator_base< _Tp >::pointer

Definition at line 59 of file array_allocator.h.

  template<typename _Tp > typedef _Tp& __gnu_cxx::array_allocator_base< _Tp >::reference

Definition at line 61 of file array_allocator.h.

  template<typename _Tp > typedef size_t __gnu_cxx::array_allocator_base< _Tp >::size_type

Definition at line 57 of file array_allocator.h.

  template<typename _Tp > typedef _Tp __gnu_cxx::array_allocator_base< _Tp >::value_type

Definition at line 63 of file array_allocator.h.

Member Function Documentation

  template<typename _Tp > const_pointer __gnu_cxx::array_allocator_base< _Tp >::address (const_reference __x) const [inline], [noexcept]

Definition at line 70 of file array_allocator.h.

  template<typename _Tp > pointer __gnu_cxx::array_allocator_base< _Tp >::address (reference __x) const [inline], [noexcept]

Definition at line 66 of file array_allocator.h.

  template<typename _Tp > template<typename _Up , typename... _Args> void __gnu_cxx::array_allocator_base< _Tp >::construct (_Up * __p, _Args &&... __args) [inline]

Definition at line 86 of file array_allocator.h.

  template<typename _Tp > void __gnu_cxx::array_allocator_base< _Tp >::deallocate (pointer, size_type) [inline]

Definition at line 74 of file array_allocator.h.

  template<typename _Tp > template<typename _Up > void __gnu_cxx::array_allocator_base< _Tp >::destroy (_Up * __p) [inline]

Definition at line 91 of file array_allocator.h.

  template<typename _Tp > size_type __gnu_cxx::array_allocator_base< _Tp >::max_size () const [inline], [noexcept]

Definition at line 80 of file array_allocator.h.

Author

Generated automatically by Doxygen for libstdc++ from the source code.